Subject: Re: [PATCH net-next 1/2] net: pcs: xpcs: enable skip xPCS soft reset

From: Andrew Lunn <[email-masked]>
Date: Wed, 11 Aug 2021 16:20:56 +0200

> > BIOS does configured the SerDes. The problem here is that all the
> > configurations done by BIOS are being reset at xpcs_create().
> > 
> > We would want user of the pcs-xpcs module (stmmac, sja1105) to have
> > control whether or not we need to perform to the soft reset in the
> > xpcs_create() call.
> 
> I understood Andrew's response as suggesting to introduce the ability for
> xpcs_create() to make a BIOS call which would configure the SerDes after
> xpcs_soft_reset().

Yes. Exactly. That is what ACPI is for, so we should use it for this.

     Andrew